Переполнение буфера в pppdial в IBM AIX

Дата публикации:
24.02.2009
Дата изменения:
24.02.2009
Всего просмотров:
1558
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
AIX 5.x
AIX 6.x
Уязвимые версии: IBM AIX версии 5.3 и 6.1

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на системе.

Уязвимость существует из-за ошибки проверки границ данных в "pppdial". Локальный пользователь может передать приложению строку длиной более 4000 символов, вызвать переполнение буфера и выполнить произвольный код на целевой системе с повышенными привилегиями.

URL производителя: www-1.ibm.com/servers/eserver/pseries/software/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www-01.ibm.com/support/docview.wss?uid=isg1IZ44199

или введите имя

CAPTCHA